%global _description\
Nyx is a command-line monitor for Tor. With this you can get detailed\
real-time information about your relay such as bandwidth usage,\
connections, logs, and much more.

Name: nyx
Version: 2.1.0
Release:    1%{?dist}
Summary: Command-line monitor for Tor
License: GPLv3
URL: https://nyx.torproject.org
Source0: %{pypi_source}
Patch0: nyx-2.1.0-replace-inspect.getargspec-usage.patch
BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-stem
BuildRequires: python3-pyflakes
Suggests: %{name}-doc = %{version}-%{release}
Provides: tor-arm = %{version}-%{release}

%description %_description

%package doc
Summary: %summary

%description doc %_description

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install
install -D -m 0644 nyx.1 %{buildroot}%{_mandir}/man1/nyx.1

%check
%{__python3} run_tests.py

%files
%license LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}*-py*.egg-info

%files doc
%license LICENSE
%doc web
%{_mandir}/man1/nyx.1*

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.0-1
- initial build
